function changeInfo(queryTimeSolt,changeStatus,contextPath,changeType){
	var change_url = contextPath +"/csh/conHomepage/conChangeInfo/query?queryTimeSolt="+queryTimeSolt+"&status="+changeStatus+"&changeType="+changeType;
	var change_divgrid = document.getElementById("changeInfoGrid");
	gridQuery(change_url,change_divgrid);
}	

function conChangeChart(queryTimeSolt,contextPath){
	var curl = contextPath+"/csh/conHomepage/alterStatistics/query?queryTimeSolt="+queryTimeSolt;
	$.ajax({
		type : 'GET',
		url : curl,
		async: false, //设为同步
		contentType : "application/json; charset=utf-8",
			success : function(datas) {
				if(datas){
					drawConChangeChart(datas);
				}
		}
	});
}
var chartPie = null;
function drawConChangeChart(datas) {
	var pieData = [
		{
			label: "承租人变更",
			value: datas.tenant,
			color: '#FA6A4D'
		},
		{
			label: "担保人变更",
			value: datas.guarantor,
			color: '#2EC3E8'
		},
		{
			label: "租赁物变更",
			value: datas.item,
			color: '#A0D469'
		},
		{
			label: "租金计划变更",
			value: datas.mortgage,
			color: '#FFCD55'
		},
		{
			label: "合同文本变更",
			value: datas.cashflow,
			color: '#E75B8D'
		}
	];
	var ctx = document.getElementById("pie").getContext("2d");
	chartPie = new Chart(ctx).Pie(pieData, {segmentShowStroke: false, showTooltips: 1});
	initEvent(chartPie, clickCall);
}

function clickCall(evt) {
	var segments = chartPie.getSegmentsAtEvent(evt);
	if ( segments.length > 0 ) {
		var segment = segments[0];
		var label = segment.label;
		var changeType = null;
		if(label == "担保人变更"){
			changeType = "changeGuarantorFlag";
		}else if(label == "租赁物变更"){
            changeType = "changeLeaseItemFlag";
		}else if(label == "承租人变更"){
            changeType = "changeTenantFlag";
		}else if(label == "租金计划变更"){
            changeType = "";
        }else if(label == "合同文本变更"){
            changeType = "changeContractTextFlag";
        }
		searchAction(changeType);
	}
}

function initEvent(chart, handler) {
	var method = handler;
	var eventType = "click";
	var node = chart.chart.canvas;
	if (node.addEventListener) {
		node.addEventListener(eventType, method);
	} else if (node.attachEvent) {
		node.attachEvent("on" + eventType, method);
	} else {
		node["on" + eventType] = method;
	}
}

//查询事件行为函数
function searchAction(changeType){
	//选择时间段查询条件
	var queryTimeSolt = null;
	var cOneWeekTitle = document.getElementById("cOneWeekTime").getAttribute("titleTip");
	var cOneMonthTitle = document.getElementById("cOneMonthTime").getAttribute("titleTip");
	var cThreeMonthTitle = document.getElementById("cThreeMonthTime").getAttribute("titleTip");
	if(cOneWeekTitle == "selected"){
		queryTimeSolt=7;
	}else if(cOneMonthTitle == "selected"){
		queryTimeSolt=30;
	}else if(cThreeMonthTitle == "selected"){
		queryTimeSolt=90;
	}
	//选择合同状态查询条件
	var changeStatus = "";
	var cNew = document.getElementById("cNew").getAttribute("titleTip");
	var cApproving = document.getElementById("cApproving").getAttribute("titleTip");
	var cRejected = document.getElementById("cRejected").getAttribute("titleTip");
	var cApproved = document.getElementById("cApproved").getAttribute("titleTip");
	if(cNew == "selected") changeStatus = changeStatus + "NEW,";
	if(cApproving == "selected") changeStatus = changeStatus + "APPROVING,";
	if(cRejected == "selected") changeStatus = changeStatus + "REJECTED,";
	if(cApproved == "selected") changeStatus = changeStatus + "APPROVED,";
	changeStatus = changeStatus.substr(0,changeStatus.length-1);
	if(!changeStatus) changeStatus = null;
	changeInfo(queryTimeSolt,changeStatus,contextPath,changeType);
	
}	

//给三个时间段选项添加点击事件


function timeClickEvent(){
	if(this.id == "cOneWeekTime"){
		conChangeChart(7,contextPath);
	}
	else if(this.id == "cOneMonthTime"){
		conChangeChart(30,contextPath);
	}
	else if(this.id == "cThreeMonthTime"){
		conChangeChart(90,contextPath);
	}
}

//详情弹框
function changeDetailPop(changeReqId){
/*	alert(contractId);*/
	 var dialog = $("#changeDetailDialog").kendoWindow({
	      // actions: ["Maximize", "Minimize", "Close"],
	       width: 	600,
	       height: 400,
	       modal: true,
	       visible: false,
	       iframe: true,
	       close:function(){
	    	    hlsWindowClose(this);
	       }
	   }).data("kendoWindow");
	  dialog.title("合同变更");  
	  hlsWindow(dialog,'HALF',contextPath+'/cont/CON040B/contract_change_detail.html?changeReqId='+changeReqId,"610");
}

//变更信息点击选项卡后发生的事件
function changeInfoClickEvent(contextPath){
	document.getElementById("cOneWeekTime").addEventListener("click", timeClickEvent, false);
	document.getElementById("cOneMonthTime").addEventListener("click", timeClickEvent, false);
	document.getElementById("cThreeMonthTime").addEventListener("click", timeClickEvent, false);
	changeInfo(30,null,contextPath,null);//grid
	conChangeChart(30,contextPath);//变更类型统计图
}