
var leftTwoChart = function () {
        return {
            init: function (element_v,datas) {
                Morris.Donut({
                    element: element_v,
                    data: datas,
                    colors: ['#A0D469','#FFCD55'],
                    formatter: function (y) { 
                    	return formatCurrency(y);
                    	
                    }
                });
            }
        };
}();

var analyse = function () {
    return {
        init: function (element_v,datas) {
            Morris.Donut({
                element: element_v,
                data: datas,
                colors: ['#FFCD55','#A0D469','#FA6A4D','#DF6832','#2EC3E8','#E75B8D'],
                formatter: function (y) { 
                	return formatCurrency(y);
                	
                }
            });
        }
    };
}();

function twoCapitalChart(queryTimeSolt,contextPath){
  	$.ajax({
		type : 'GET',
		url : contextPath+'/con/conHomepage/principalInquiry/query?queryTimeSolt='+queryTimeSolt,
		async: false, 
		contentType : "application/json; charset=utf-8",
		success : function(datas) {
			if(!datas) return ;
			var accept = (datas.received_amount || 0).toFixed(0);
			var noAccept = (datas.due_amount - datas.received_amount).toFixed(0);
			var receivableDatas = [
					{label: '已收金额', value: accept },
					{label: '未收金额', value: noAccept} 
			];
			var acceptPrincipal = datas.received_principal || 0;
			var noAcceptPrincipal = datas.principal - acceptPrincipal;
			
			var receivablePrincipalDatas = [
   					{label: '已收本金', value: acceptPrincipal },
   					{label: '未收本金', value: noAcceptPrincipal} 
			];
			
			leftTwoChart.init('receivableTotal',receivableDatas);
		/*	if(acceptPrincipal == 0 && noAcceptPrincipal==0){
				return ;
			}*/
			leftTwoChart.init('receivablePrincipal',receivablePrincipalDatas);
			
		}
	});
}

function contractTypeChart(queryTimeSolt,contextPath){
  	$.ajax({
		type : 'GET',
		url : contextPath+'/con/conHomepage/typeStatistics/query?queryTimeSolt='+queryTimeSolt,
		async: false, 
		contentType : "application/json; charset=utf-8",
		success : function(datas) {
			if (datas && datas.rows) {


				var conl = 0, conlb = 0;

				for (var i = 0; i < datas.rows.length; i++) {
					if (datas.rows[i].document_type == "直租合同") {
						conl = datas.rows[i].typeCount;
					} else if (datas.rows[i].document_type == "回租合同") {
						conlb = datas.rows[i].typeCount;
					}
				}

				var contractTypeDatas = [
					{label: '直租合同', value: conl},
					{label: '回租合同', value: conlb}
				];
				InitiateDonutChart.init('contractType', contractTypeDatas);
			}
		}
  	});
}


function accountAgeAnalyze(contextPath){
	$.ajax({
		type : 'GET',
		url : contextPath+'/con/conHomepage/aging/query',
		async: false, 
		contentType : "application/json; charset=utf-8",
		success : function(datas) {
			if(!datas) return ;
			var steps1 = datas.orangeSum != null?datas.orangeSum:0;
			var steps2 = datas.greenSum != null?datas.greenSum:0;
			var steps3 = datas.redSum != null?datas.redSum:0;
			var steps4 = datas.yellowSum != null?datas.yellowSum:0;
			var steps5 = datas.blueSum != null?datas.blueSum:0;
			var steps6 = datas.purpleSum != null?datas.purpleSum:0;
			
			var accountAgeDatas = [
			               		{label: '30天', value:steps1},
			               		{label: '60天', value:steps2}, 
			               		{label: '90天', value: steps3}, 
			               		{label: '180天', value: steps4},
			               		{label: '1年', value: steps5},
			               		{label: '1年以上', value: steps6}
			               	 ];
			analyse.init('analyze',accountAgeDatas);
		}});
	
	

}


function invoiceCaseGird(throwUrlParms, contextPath) {
	var invoice_url = contextPath+"/con/contract/index/acrInvoiceLn"+throwUrlParms;
	var invoice_divgrid = document.getElementById("withdrawnInvoiceInfoGrid");
	gridQuery(invoice_url,invoice_divgrid);
}

function gatheringInfoGird(queryTimeSolt,contractType,contractInfo,contextPath){
	var gathering_url = contextPath+"/con/contract/index/currentGetAmountInfo?queryTimeSolt="+queryTimeSolt;

	if(contractType){
		gathering_url = gathering_url + "&documentType="+contractType;
		
	}
	if(contractInfo){
		gathering_url = gathering_url + "&queryCondition="+contractInfo;
	}
	var gathering_divgrid = document.getElementById("withdrawnInfoGrid");
	gridQuery(gathering_url,gathering_divgrid);
}

function gatheringSearchAction(){
	//选择时间段查询条件
	var queryTimeSolt = null;
	var wOneWeekTitle = document.getElementById("wOneWeekTime").getAttribute("titleTip");
	var wOneMonthTitle = document.getElementById("wOneMonthTime").getAttribute("titleTip");
	var wThreeMonthTitle = document.getElementById("wThreeMonthTime").getAttribute("titleTip");
	if(wOneWeekTitle == "selected"){
		queryTimeSolt=7;
	}else if(wOneMonthTitle == "selected"){
		queryTimeSolt=30;
	}else if(wThreeMonthTitle == "selected"){
		queryTimeSolt=90;
	}
	//选择合同状态查询条件
	var contractType = "";
	var leaseback = document.getElementById("leaseback").getAttribute("titleTip");
	var direct = document.getElementById("direct").getAttribute("titleTip");
	
	if(leaseback == "selected"&&direct != "selected") {
		contractType = "CONL";
	}else if(direct == "selected"&&leaseback != "selected"){
		contractType =   "CONLB";
	} else{
		contractType =   "ALL";
	}
	
	
	//合同信息
	var contractInfo = document.getElementById("contractInfo").value;
	//contractType = contractType.substr(0,contractType.length-1);
	gatheringInfoGird(queryTimeSolt,contractType,contractInfo,contextPath);

	// invoiceCaseGird(convertToURLString({queryTimeSolt:30}),contextPath);


	invoiceCaseGird(convertToURLString({queryTimeSolt:queryTimeSolt,documentType:contractType,queryCondition:contractInfo}),contextPath);
}


//事件段选项事件
function gatheringTimeClickEvent(){
	if(this.id == "wOneWeekTime"){
		twoCapitalChart(7,contextPath)
		
	}
	else if(this.id == "wOneMonthTime"){
		twoCapitalChart(30,contextPath)
	}
	else if(this.id == "wThreeMonthTime"){
		twoCapitalChart(90,contextPath)
	}
}

//收款明细弹框
function gatheringDetailPop(transactionId){
	/* var dialog = $("#gatheringDetailDialog").kendoWindow({
     // actions: ["Maximize", "Minimize", "Close"],
      width: 	600,
      height: 400,
      modal: true,
      visible: false,
      iframe: true,
      close:function(){ 
    	  hlsWindowClose(this);
      }
  }).data("kendoWindow");
	 dialog.title("收款明细");  
 hlsWindow(dialog,'HALF',contextPath+'/csh/CSH504B/cancelWorkGather.view?transaction_id='+transactionId,"610");*/

    Hls.openBox(
        {
            functionCode: "CSH504B",
            winId: "gatheringDetailDialog",
            params: {
                transaction_id:transactionId
            }
        }
    );
}

//收款新增
function receiptAddPop(contextPath){

	top.openTab('CSH300A','收款新增',contextPath+'/csh/CSH300/gathering_add2.view');

}

function withdrawnInfoClickEvent(contextPath){
	document.getElementById("wOneWeekTime").addEventListener("click", gatheringTimeClickEvent, false);
	document.getElementById("wOneMonthTime").addEventListener("click", gatheringTimeClickEvent, false);
	document.getElementById("wThreeMonthTime").addEventListener("click", gatheringTimeClickEvent, false);
	gatheringInfoGird(30,null,null,contextPath);
	invoiceCaseGird(convertToURLString({queryTimeSolt:30}),contextPath);
	twoCapitalChart(30,contextPath);
	accountAgeAnalyze(contextPath);
	contractTypeChart(30,contextPath);
}