/**
 * Created by wangwei on 2017-2-14.
 */
// 初始化合同基本信息

var InitiateEasyPieChart = function () {
    return {
        init: function (id) {
            var easypiecharts = $('#'+id);
            $.each(easypiecharts, function () {
                var barColor = getcolor($(this).data('barcolor')) || themeprimary,
                    trackColor = getcolor($(this).data('trackcolor')) || false,
                    scaleColor = getcolor($(this).data('scalecolor')) || false,
                    lineCap = $(this).data('linecap') || "round",
                    lineWidth = $(this).data('linewidth') || 3,
                    size = $(this).data('size') || 110,
                    animate = $(this).data('animate') || false;

                $(this).easyPieChart({
                    barColor: barColor,
                    trackColor: trackColor,
                    scaleColor: scaleColor,
                    lineCap: lineCap,
                    lineWidth: lineWidth,
                    size: size,
                    animate : animate
                });
            });
        }
    };
}();


function initContractBaseInfo(contextPath,contractId){
    $.ajax({
        type: "GET",
        data:{contract_id:contractId},
        url : contextPath+'/csh/contract/selectContractByID/query',
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas[0]){
                //合同基本信息
                $('#title-contract-id').html(datas[0].contract_name);
                $('#title-contract-number').append(datas[0].contract_number);
                $('#title-bp-name').append(datas[0].bp_name);
                $('#title-own-user').append(datas[0].created_by_desc);
                $('#title-created-date').append(datas[0].creation_date_desc);
                $('#baseinfo-contact-type').append(datas[0].document_type_desc);
                $('#baseinfo-business-type').append(datas[0].business_type_desc);
                $('#baseinfo-division').append(datas[0].division_desc);
                $('#baseinfo-lease-channel').append(datas[0].lease_channel_desc);
                $('#baseinfo-financeAmount').append(formatCurrency(datas[0].financeAmount));
                //现金流
                $('#calcinfo-price-list').append(datas[0].price_list);
                $('#calcinfo-finance-amount').append(formatCurrency(datas[0].financeAmount));
                $('#calcinfo-lease-start-date').append( formatDate(datas[0].leaseStartDate));
                $('#calcinfo-lease-end-date').append(  formatDate(datas[0].leaseEndDate));
                $('#calcinfo-base-rate').append(datas[0].baseRate*100 + '%');
                $('#calcinfo-int-rate-fixing-way').append(datas[0].int_rate_fixing_way);
                $('#calcinfo-int-rate-fixing-range').append( datas[0].int_rate_fixing_range);
                $('#calcinfo-int-rate').append(  datas[0].intRate*100 + '%');
                $('#calcinfo-annual-pay-times-desc').append(datas[0].annual_pay_times_desc);
                $('#calcinfo-lease-times').append(datas[0].leaseTimes);
                $('#calcinfo-irr').append(  datas[0].irr *100 + '%');
                $('#calcinfo-down-payment-way').append(datas[0].down_payment_way);
                $('#calcinfo-down-payment-range').append(datas[0].down_payment_range + '%');
                $('#calcinfo-down-payment').append(formatCurrency(datas[0].downPayment));
                $('#calcinfo-lease-charge').append( formatCurrency(datas[0].leaseCharge));
                $('#calcinfo-deposit').append( formatCurrency(datas[0].deposit));
                $('#calcinfo-deposit-way').append(datas[0].deposit_way);
                $('#calcinfo-deposit-range').append(datas[0].deposit_range + '%');
                $('#calcinfo-residual-value').append( formatCurrency(datas[0].residualValue));




                //TDPA
                $('#tdpa-titlep-p').html('收款指数 TDPA '+datas[0].leaseTimes + '/'+datas[0].expired_times+'/'+datas[0].payment_times+'/'+datas[0].unpayment_times);



                $('#recived-percent-1').css('width',(datas[0].payment_times/datas[0].leaseTimes*250));
                $('#recived-percent-2').css('width',(datas[0].unpayment_times/datas[0].leaseTimes*250));
                $('#recived-percent-3').css('width',(250-(datas[0].unpayment_times/datas[0].leaseTimes*250)-(datas[0].payment_times/datas[0].leaseTimes*250)));
                if(datas[0].payment_times){
                    $('#recived-percent2-1').css('width',(datas[0].payment_times/datas[0].leaseTimes*250)-4);
                    $('#recived-percent2-1-1').html(datas[0].payment_times);
                }
                if(datas[0].unpayment_times){
                    $('#recived-percent2-2').css('width',(datas[0].unpayment_times/datas[0].leaseTimes*250)-4);
                    $('#recived-percent2-2-2').html(datas[0].unpayment_times);
                }
                $('#recived-percent2-3').css('width',(250-4-(datas[0].unpayment_times/datas[0].leaseTimes*250)-(datas[0].payment_times/datas[0].leaseTimes*250)));
                $('#recived-percent2-3-3').html(datas[0].leaseTimes);


                //MMAT
                $('#overdue-count-div').html(datas[0].overdue_times);
                $('#mmat-detail-div').html(datas[0].overdue_times + ' / ' + datas[0].avg_overdue_dates + ' / ' + datas[0].max_overdue_dates + ' / ' +  datas[0].total_overdue_dates );

                if(datas[0].total_payment_amount){

                    var radio = ((datas[0].total_received_amount  /datas[0].total_payment_amount) * 100).toFixed(0);
                    //draw_circle('row-r-p-left-circle-canvas', (datas[0].total_received_amount  /datas[0].total_payment_amount), '#fff1a8');


                    // draw_circle('row-notice-left-circle-canvas', datas.rows[0].readRadio/100, '#FFE092');

                    if(radio){

                        $("#task-percent-span").append(radio+'%');
                    }else{
                        $("#task-percent-span").append('--');
                    }
                    $('#row-task-left-circle-canvas').attr("data-percent",radio);


                    InitiateEasyPieChart.init('row-task-left-circle-canvas');
                }
                //$('#payment-received-div').html(formatCurrency(datas[0].total_received_amount) +' / '+ formatCurrency(datas[0].total_payment_amount));

                $('#received-div').append(formatCurrency(datas[0].total_received_amount));
                $('#payment-div').append(formatCurrency(datas[0].total_payment_amount));




            }

        }
    });
}

function draw_circle(id, percent, color) {
    var canvas = document.getElementById(id);
    if (canvas == null) {
        return false;
    }
    var context = canvas.getContext('2d');
    context.strokeStyle = color;
    context.lineWidth = "4";
    context.beginPath();
    context.arc(35, 35, 32, 0, 2 * Math.PI);
    context.stroke();
    context.strokeStyle = "#ed4d2a";
    context.beginPath();
    context.arc(35, 35, 32, -90 * Math.PI / 180, (percent * 100 * 3.6 - 90) * Math.PI / 180);
    context.stroke();
}



function initConEventCircle(contextPath,contractId){
    $.ajax({
        type: "GET",
        data:{contract_id:contractId},
        url : contextPath+'/hls/system/event/contract/query',
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas){
                var html='';
                for(var i=0;i<datas.length;i++){
                    html=html+'<div class="notice-block">';
                    html=html+'<div class="title-contract-circle global-font-size20">'+datas[i].eventTitle+'</div>';
                    html=html+'<div class="title-contract-circle-text">';
                    html=html+'<p class="title-contract-circle-text_d global-font-size12" style="color: black;">' +datas[i].positionName+' '+datas[i].createdByDesc+'</p>';
                    html=html+'<p class="title-contract-circle-text_d global-font-size12">'+datas[i].eventMessage+'</p>';
                    html=html+'<p class="title-contract-circle-text_d global-font-size12">'+datas[i].creationDateDesc+'</p>';
                    html=html+'</div>';
                    html=html+'</div>';
                }
                $('#con-event-list').html(html);
            }
        }
    });
}


